[0cf3:e007] Can't turn on BT by Wireless hotkey

Bug #1796634 reported by AceLan Kao on 2018-10-08
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Gaming Edition
New
Undecided
Unassigned
HWE Next
Undecided
Unassigned
OEM Priority Project
High
Unassigned
linux-firmware (Ubuntu)
Undecided
AceLan Kao
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
AceLan Kao

Bug Description

[Impact]
The issue has been found on new Dell laptop with DW1820 combo card(BT is [0cf3:e007])
1) Use wireless hotkey to turn off WiFi/BT.
2) Wait 5 minutes.
3) Use wireless hotkey to turn on WiFi/BT.
4) Wifi is back, but BT is still off
5) Only reboot can recovery the BT state

[Fix]
Qualcomm releases a new firmware to fix it.

[Regression Potential]
Can't evaluate it, but from our verification and S3 stress test,
there is no any issues result from the firmwares.

CVE References

AceLan Kao (acelankao) wrote :

commit 534daf431c88b24236d23572039cdd79223b246a
Author: Balakrishna Godavarthi <email address hidden>
Date: Mon Sep 17 15:29:33 2018 +0530

    qca: update BT firmware files for QCA ROME chip.

    This patch will resolve the Bluetooth vulnerability CVE-2018-5383
    for ROME chip v3.2

    Signed-off-by: Balakrishna Godavarthi <email address hidden>

tags: added: originate-from-1789327 somerville
AceLan Kao (acelankao) on 2018-10-08
tags: removed: originate-from-1789327 somerville
tags: added: originate-from-1783927 somerville
Alex Tu (alextu) on 2018-10-18
Changed in oem-priority:
importance: Undecided → High
Seth Forshee (sforshee) on 2018-10-24
Changed in linux-firmware (Ubuntu Xenial):
status: New → Fix Committed
Changed in linux-firmware (Ubuntu Bionic):
status: New → Fix Committed
Changed in linux-firmware (Ubuntu Cosmic):
status: In Progress → Fix Committed

Hello AceLan, or anyone else affected,

Accepted linux-firmware into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.175.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Timo Aaltonen (tjaalton) wrote :

Hello AceLan, or anyone else affected,

Accepted linux-firmware into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.173.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Timo Aaltonen (tjaalton) wrote :

Hello AceLan, or anyone else affected,

Accepted linux-firmware into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.157.21 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Kai-Heng Feng (kaihengfeng) wrote :

Verified by Delivery Team's Ethan Hsieh.

tags: added: verification-done-bionic verification-done-cosmic verification-done-xenial

The verification of the Stable Release Update for linux-firmware has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.175.1

---------------
linux-firmware (1.175.1) cosmic; urgency=medium

  * [0cf3:e007] Can't turn on BT by Wireless hotkey (LP: #1796634)
    - qca: update BT firmware files for QCA ROME chip.

 -- Seth Forshee <email address hidden> Tue, 06 Nov 2018 09:42:24 -0600

Changed in linux-firmware (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.173.2

---------------
linux-firmware (1.173.2) bionic; urgency=medium

  * [0cf3:e007] Can't turn on BT by Wireless hotkey (LP: #1796634)
    - qca: update BT firmware files for QCA ROME chip.

 -- Seth Forshee <email address hidden> Tue, 06 Nov 2018 14:32:44 -0600

Changed in linux-firmware (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.157.21

---------------
linux-firmware (1.157.21) xenial; urgency=medium

  * [0cf3:e007] Can't turn on BT by Wireless hotkey (LP: #1796634)
    - qca: update BT firmware files for QCA ROME chip.

 -- Seth Forshee <email address hidden> Tue, 06 Nov 2018 14:45:03 -0600

Changed in linux-firmware (Ubuntu Xenial):
status: Fix Committed → Fix Released
AceLan Kao (acelankao) on 2018-11-22
Changed in linux-firmware (Ubuntu):
status: Fix Committed → Fix Released
Changed in hwe-next:
status: New → Fix Released
Changed in oem-priority:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers